Bug 813077 - isolabel must workaround restrictions of yaboot+lorax
isolabel must workaround restrictions of yaboot+lorax
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
17
powerpc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 16:10 EDT by John Reiser
Modified: 2013-07-31 19:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:47:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-04-16 16:10:00 EDT
Description of problem: On PowerPC, booting an install DVD of Fedora 17 fails because dracut cannot find the actual /dev/disk/by-label/Fedora\x2017\x20ppc when it is looking for supposed /dev/disk/by-label/Fedora_17_ppc as specified in <DVD>/etc/yaboot.conf.

The underlying problem is bug 812672: yaboot restricts the label to alphanumeric characters only.  lorax-17.13-1.fc17 attempts a workaround in /usr/share/lorax/ppc.tmpl using:
   isolabel = ''.join(ch if ch.isalnum() else '_' for ch in isolabel)

Pungi must accept and adjust to the restriction in the label until yaboot is fixed and lorax ACKs the fix by removing the workaround.


Version-Release number of selected component (if applicable):
pungi-2.10-1.fc17.noarch
yaboot-1.3.17-2.fc16.ppc
lorax-17.13-1.fc17.ppc


How reproducible: every time


Steps to Reproduce:
1. Compose an install DVD for Fedora 17 ppc.
2. Boot for install.
3.
  
Actual results: Install aborts (before anaconda) because dracut is told to look for Fedora_17_ppc in /dev/disk/by-label, which contains only Fedora\x2017\x20ppc.


Expected results: Install proceeds successfully to anaconda.


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:08:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:47:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.